<script>
	export let id="slider_component";
	export let titleText="";
	export let min=0;
	export let max=100;
	export let step=1;	
	export let value;
	export let fill='fillfromleft';
	export let oninput = function() {};
</script>

<div class="slider">
<label for={id}>{titleText}</label>
<input id={id} class={fill} type='range' min={min} max={max} step={step} bind:value={value} on:input={oninput}/>
<input id={id} type='number' min={min} max={max} bind:value={value}/>
</div>

<style>
	div.slider{
		padding: 2px;	
	}
	
	label{
		display: inline;
		font-size: 10pt;
		margin: 2px;
		padding: 0px;
	}

	input[type="number"]{
		width: 40px;
		height: 20px;
		text-align: right;
		vertical-align: top;
		padding: 2px;
		margin: 0px;
		border-width: 1px;
		border-radius: 5px;
		font-size: 8pt;
		background: #fff;
	}
	/* Hide the up-down arrows on the number field */
	input::-webkit-outer-spin-button,
	input::-webkit-inner-spin-button {
	  -webkit-appearance: none;
	  margin: 0;
	}

	input[type="range"]{
		vertical-align: middle;
		margin: 0px;
		padding: 0px;
		outline: 0;
		border: 0;
		border-radius: 5px;
		width: 150px;
		max-width: 100%;
		margin: 0px;
		transition: box-shadow 0.2s ease-in-out;
		overflow: hidden;
		height: 20px;
		-webkit-appearance: none;
		background-color: #ddd;
	}

	input[type="range"]::-webkit-slider-runnable-track {
		height: 20px;
		-webkit-appearance: none;
		color: #444;
		cursor: pointer;
	}

	input[type="range"]::-webkit-slider-thumb {
		width: 20px;
		-webkit-appearance: none;
		height: 20px;
		cursor: ew-resize;
		background: #fff;
		border-radius: 5px;
		position: relative;
	}
	
	input[type="range"].fillfromright::-webkit-slider-thumb {
		box-shadow: 340px 0 0 330px #1567c0, inset 0 0 0 3px #1567c0;		
	}

	input[type="range"].fillfromleft::-webkit-slider-thumb {
		box-shadow: -340px 0 0 330px #1567c0, inset 0 0 0 3px #1567c0;		
	}



</style>